Loading...
Searching...
No Matches
BALL::PDB::Structure Struct Reference

`#include <BALL/FORMAT/PDBdefs.h>`

## Classes

struct | AtomEntry
struct | ConectAtomList
struct | UnitCellInfo
struct | NCSMatrix

## Public Member Functions

void | clear ()

## Public Attributes

struct BALL_EXPORT BALL::PDB::Structure::UnitCellInfo | unitcell_info
std::vector< NCSMatrix > | ncs_matrices
std::vector< AtomEntry > | atoms
HashSet< const ::BALL::Atom * > | conect_atoms
std::vector< const Bond * > | hydrogen_bonds
std::vector< const Bond * > | saltbridges
std::vector< const Bond * > | ssbonds
std::vector< std::pair< AChar, String > > | chain_residue_names
std::vector< const SecondaryStructure * > | sec_structs

## Detailed Description

Definition at line 1245 of file PDBdefs.h.

## Member Function Documentation

## clear()

void BALL::PDB::Structure::clear | ( |  | ) |

inline

Definition at line 1319 of file PDBdefs.h.

## Member Data Documentation

## atoms

std::vector<AtomEntry> BALL::PDB::Structure::atoms

Definition at line 1309 of file PDBdefs.h.

## chain_residue_names

std::vector<std::pair<AChar, String> > BALL::PDB::Structure::chain_residue_names

Definition at line 1316 of file PDBdefs.h.

## conect_atoms

HashSet<const ::BALL::Atom*> BALL::PDB::Structure::conect_atoms

Definition at line 1311 of file PDBdefs.h.

## hydrogen_bonds

std::vector<const Bond*> BALL::PDB::Structure::hydrogen_bonds

Definition at line 1312 of file PDBdefs.h.

## ncs_matrices

std::vector<NCSMatrix> BALL::PDB::Structure::ncs_matrices

Definition at line 1308 of file PDBdefs.h.

## saltbridges

std::vector<const Bond*> BALL::PDB::Structure::saltbridges

Definition at line 1313 of file PDBdefs.h.

## sec_structs

std::vector<const SecondaryStructure*> BALL::PDB::Structure::sec_structs

Definition at line 1317 of file PDBdefs.h.

## ssbonds

std::vector<const Bond*> BALL::PDB::Structure::ssbonds

Definition at line 1314 of file PDBdefs.h.

## unitcell_info

struct BALL_EXPORT BALL::PDB::Structure::UnitCellInfo BALL::PDB::Structure::unitcell_info